Name:           teal
Version:        1_40b
Release:        4%{?dist}
Summary:        Verification Utility and Connection Library

Group:          Applications/Engineering
License:        LGPLv2+ and GPLv2+
URL:            http://www.trusster.com/products/
Source0:        http://www.trusster.com/download/code/%{name}_%{version}.tar.gz
Source1:        teal_user.pdf
Source2:        http://www.trusster.com/download/code/examples_1_40a.tar.gz
Source3:        Trusster-LGPLv2-license-permission.txt
Patch0:         teal-1-40b-gcc-4-fix.patch
Patch1:         teal-1-40b-ivl-check-test.patch
Patch2:         teal-1-40b-set-so-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  iverilog-devel
Requires:       iverilog

%description
Teal is a C++ multithreaded library to verify verilog designs.
It deals with such things as simulation logging, error reporting, threading, 
memory model management. It basically provides all the low level building blocks
needed to start a verification environment.

%package devel
Summary:        Header files for using teal verification framework
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files for using the teal verification
framework.

%prep
%setup -q -c
%patch0 -p1 -b .fix
%patch1 -p1 -b .test
%patch2 -p1 -b .so

%{__cp} %{SOURCE1} %{_builddir}/%{name}-%{version}
%{__cp} %{SOURCE2} %{_builddir}/%{name}-%{version}
%{__cp} %{SOURCE3} %{_builddir}/%{name}-%{version}

%build
# targetting icarus verilog
export VERILOG_INST_DIR=%{_includedir}
SIMULATOR_HOME=%{_prefix} ARCH=Linux make SIM=ivl OPT="$RPM_OPT_FLAGS" %{?_smp_mflags}

%check
cd test; make ivl_check


%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_libdir}/%{name}
%{__install} -d %{buildroot}%{_includedir}/%{name}
%{__install} -d %{buildroot}%{_docdir}/%{name}
%{__install} -pm 644 Makefile.Linux %{buildroot}%{_libdir}/%{name}
%{__install} -pm 644 *.h %{buildroot}%{_includedir}/%{name}
%{__cp} -Pc libteal.ivl.so* %{buildroot}%{_libdir}/

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig devel

%postun -p /sbin/ldconfig devel

%files
%defattr(-,root,root,-)
%doc teal_user.pdf Trusster-LGPLv2-license-permission.txt examples_1_40a.tar.gz
%{_libdir}/%{name}
%{_libdir}/libteal.ivl.so.1.0
%{_libdir}/libteal.ivl.so
%{_includedir}/%{name}

%changelog
* Thu Aug  5 2010 Ville Skyttä <ville.skytta@iki.fi> - 1_40b-4
- Build with $RPM_OPT_FLAGS (#612384).

* Sun Jul 18 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1_40b-3
- Moved -devel package contents to base package.

* Sun Jul 11 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1_40b-2
- Added patch for versioned shared library inclusion.
- Moved shared libraries to _libdir.
- Moved examples to -devel subpackage.
- Added ldconfig post, postun invocation.

* Tue Jul 07 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1_40b-1
- Added patch for gcc-4 build.
- Added patch to test/Makefile for running tests.
- Added install target files to respective directories.
- Added teal_user.pdf, examples_1_40a.tar.gz, and 
  Trusster-LGPLv2-license-permission.txt to source files.
- Created -devel subpackage.

* Mon Nov 09 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0a93c-1
- Initial draft.
